[DEFAULT]
lib=
      msg () {
        echo "I: $1"
      }
      git_checkout () {
        gbp clone --all git@salsa.debian.org:perl-team/modules/packages/$1.git
        (
          cd $MR_REPO
          dpt upstream-repo -g || true
          # git fetch origin refs/notes/commits:refs/notes/commits >|/dev/null 2>&1 || true
        )
      }
      git_update() {
        gbp pull --pristine-tar
        (
          cd $MR_REPO
          dpt upstream-repo -u || true
          # git fetch origin refs/notes/commits:refs/notes/commits >|/dev/null 2>&1 || true
        )
      }
      git_checkout_special() {
        repo=$1; shift
        git clone git@salsa.debian.org:perl-team/${repo}.git "$@"
      }

[.]
checkout = git clone git@salsa.debian.org:perl-team/modules/meta.git
order = 5

[DEFAULT]
# This works with "dpt salsa mrconfig" ... cf. below.
# Needs pkg-perl-tools >= 0.49 for the "dpt salsa mrconfig" to write .lastactivity/ files
skip = [ "$1" = "update" ] && [ -d $MR_REPO ] && $MR_REPO/../../compare-lastactivity
cvs_test = return 1
bzr_test = return 1
hg_test = return 1
svn_test = return 1
darcs_test = return 1
git_commit = if git commit --dry-run -a > /dev/null ; then git commit -a "$@" ; fi
git_update = git_update

[website]
checkout = git_checkout_special perl-team.pages.debian.net website
update = git pull "$@"
skip = return 1

[scripts]
checkout = git_checkout_special scripts
update = git pull "$@"
skip = return 1

include = echo "Getting list of perl-team packages ..." >&2 && dpt salsa mrconfig -j 20 || true
